Skip to main content
curl -X POST https://api.chargeapi.co/v1/vehicles \
  -H "Authorization: Bearer ch_sk_test_..." \
  --json '{
  "battery_capacity": 82000,
  "charging_standard": "CCS",
  "vin": "YV1XZK5V0S1234567"
}'
{
    "id": "veh_6bPnSSnEUP1wKOBC0wOE2fsOsAzjZQDp",
    "object": "vehicle",
    "battery_capacity": 82000,
    "charging_standard": "CCS",
    "created": "2026-04-01T00:17:03.543Z",
    "drivers": [],
    "fleet": null,
    "information": {
        "make": "Volvo",
        "model": "EX30",
        "year": "2025"
    },
    "metadata": {},
    "policy_ids": [],
    "registration_plate": "AB-123-CD",
    "status": "active",
    "telemetry": "vtel_7zoXnXktRRzW0xIZv8dEUy4jFWDZ3rDp",
    "updated": "2026-04-01T00:25:05.882Z",
    "vin": "YV1XZK5V0S1234567"
}
Creates a vehicle. Vehicles store identity, battery, telemetry, and charging-session context.
curl -X POST https://api.chargeapi.co/v1/vehicles \
  -H "Authorization: Bearer ch_sk_test_..." \
  --json '{
  "battery_capacity": 82000,
  "charging_standard": "CCS",
  "vin": "YV1XZK5V0S1234567"
}'
{
    "id": "veh_6bPnSSnEUP1wKOBC0wOE2fsOsAzjZQDp",
    "object": "vehicle",
    "battery_capacity": 82000,
    "charging_standard": "CCS",
    "created": "2026-04-01T00:17:03.543Z",
    "drivers": [],
    "fleet": null,
    "information": {
        "make": "Volvo",
        "model": "EX30",
        "year": "2025"
    },
    "metadata": {},
    "policy_ids": [],
    "registration_plate": "AB-123-CD",
    "status": "active",
    "telemetry": "vtel_7zoXnXktRRzW0xIZv8dEUy4jFWDZ3rDp",
    "updated": "2026-04-01T00:25:05.882Z",
    "vin": "YV1XZK5V0S1234567"
}

Parameters

information
object
Manufacturer details for the vehicle.
registration_plate
string
License-plate / registration number.
vin
string
required
Vehicle Identification Number (VIN).

More parameters

battery_capacity
integer
required
Battery capacity in watt-hours (Wh).
charging_standard
string
required
Primary charging standard supported.Available options: CCS, CHAdeMO, Type2
metadata
object
Set of key-value pairs that you can attach to an object.

Returns

Returns the created vehicle.